import service from '@/utils/request'
const api = {
  // 积分
  getUserList : data => {
    return service({
      url: '/user',
      method: 'get',
      params:data
    })
  },
  viewUser : data => {
    return service({
      url: '/user/'+data.id,
      method: 'get'
    })
  },
  getDealMoneyList: data => { // 获取资金交易明细
    return service({
      url: '/wallet/log/'+data.id,
      method: 'get',
      params:data
    })
  },
  getDealPointList: data => { // 获取积分交易明细
    return service({
      url: '/point/log/'+data.id,
      method: 'get',
      params:data
    })
  },
  getLearningDetailList: data => { // 获取学习记录
    return service({
      url: '/user/study/record/'+data.id,
      method: 'get',
      params:data
    })
  },
  getLearningDetailReport:data => { // 获取学习报告
    return service({
      url: '/user/study/report/'+data.id,
      method: 'get',
      params:data
    })
  },
  getTestDetailList: data => { // 获取测试记录
    return service({
      url: '/exam/record/'+data.id,
      method: 'get',
      params:data
    })
  },
  getWithdrawList:data => { // 获取用户提现记录
    return service({
      url: '/withdraw',
      method: 'get',
      params:data
    })
  },
  passWithdraw:data => { // 同意提现申请
    return service({
      url: '/withdraw',
      method: 'post',
      data
    })
  },
  rejectWithdraw:data => { // 拒绝提现申请
    return service({
      url: '/withdraw/reject',
      method: 'post',
      data
    })
  },
  getAuctionDetailList: data => { // 获取竞拍 抽奖 记录
    return service({
      url: '/auction/record',
      method: 'get',
      params:data
    })
  },
}
export default api
